## virtualbox 6.1.12-dfsg

=== debian/changelog ===
virtualbox (6.1.12-dfsg-9~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Disable automatic dbgsym packages.
  * Make -qt and guest-additions-iso packages dependencies instead of
    recommended.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 28 Aug 2020 14:07:24 -0700

virtualbox (6.1.12-dfsg-9) unstable; urgency=medium

  * Try to fix another kernel 5.8 change LP: #1884652

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 10 Aug 2020 14:37:08 +0200

virtualbox (6.1.12-dfsg-8) unstable; urgency=medium

  * debian/patches/kernel-5.8-1.patch:
  * debian/patches/kernel-5.8-2.patch:
  * debian/patches/kernel-5.8-3.patch:
    - apply upstream proposed patches to fix a build failure with kernel 5.8
      (note, this requires also a kernel patch)
      https://www.virtualbox.org/ticket/19644

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 30 Jul 2020 18:58:32 +0200

virtualbox (6.1.12-dfsg-7) unstable; urgency=medium

  * Fix build with new gsoap (Closes: #966182)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 26 Jul 2020 09:34:56 +0200

virtualbox (6.1.12-dfsg-6) unstable; urgency=medium

  * Also add VirtualboxVM new binary (symlink to virtualboxvm)
  * Add nasm dependency, thanks enyc for the hint!

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 20 Jul 2020 09:02:45 +0200

virtualbox (6.1.12-dfsg-5) unstable; urgency=medium

  * Add missing liblzf-dev dependency

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 17 Jul 2020 18:32:52 +0200

virtualbox (6.1.12-dfsg-4) unstable; urgency=medium

  * Also ship VirtualboxVM (LP: #1884363)
  * Unbundle liblz (Closes: #958323)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 15 Jul 2020 20:02:41 +0200

virtualbox (6.1.12-dfsg-3) unstable; urgency=medium

  * Enable vboximg-mount builds

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 15 Jul 2020 13:37:52 +0200

virtualbox (6.1.12-dfsg-2) unstable; urgency=medium

  * Fix build failure, due to cloud net being enabled without corresponding
    sources.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 15 Jul 2020 11:08:27 +0200

virtualbox (6.1.12-dfsg-1) unstable; urgency=medium

  * New upstream version 6.1.12-dfsg (Closes: #964509)
  * Patch refresh

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 15 Jul 2020 10:20:42 +0200
