## virtualbox 6.1.14-dfsg

=== debian/control ===
--- 
+++ 
@@ -98,12 +98,13 @@
          iproute2,
          procps,
          virtualbox-dkms (>= ${source:Version}) | virtualbox-source (>= ${source:Version}) | virtualbox-modules,
+         virtualbox-qt (= ${binary:Version}),
+         virtualbox-guest-additions-iso,
          ${misc:Depends},
          ${python3:Depends},
-         ${shlibs:Depends},
-         virtualbox-qt (= ${binary:Version}), ${shlibs:Recommends},
-         vde2,
-         virtualbox-guest-additions-iso
+         ${shlibs:Depends}
+Recommends: ${shlibs:Recommends}
+Suggests: vde2
 Conflicts: virtualbox-2.0,
            virtualbox-2.1,
            virtualbox-2.2,
