## virtualbox 6.1.16-dfsg

=== debian/changelog ===
virtualbox (6.1.16-dfsg-6~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Make most recommended packages dependencies for MX, apart from vde.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 06 Jan 2021 08:00:41 -0800

virtualbox (6.1.16-dfsg-6) unstable; urgency=medium

  * debian/patches/linux-5.10-r0drv-memobj-fix-r0.patch:
    - upstream-proposed patch to fix a build failure with linux 5.10
      (LP: #1903741)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 04 Dec 2020 23:58:18 +0100

virtualbox (6.1.16-dfsg-5) unstable; urgency=medium

  * Use /run instead of /var/run, from Steve Langasek

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 04 Dec 2020 22:12:38 +0100

virtualbox (6.1.16-dfsg-4) unstable; urgency=medium

  [ Sam Van den Eynde ]
  * Fix vboxweb.service startup script, from Sam Van den Eynde (LP: #1904123, LP: #1825598)
  * Now the script also sources /etc/vbox/vbox.cfg that can contain all the
    required variables.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Nov 2020 14:12:27 +0100

virtualbox (6.1.16-dfsg-3) unstable; urgency=medium

  * Add patch to support python3.9 (Closes: #972918)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 27 Oct 2020 08:28:19 +0100

virtualbox (6.1.16-dfsg-2) unstable; urgency=medium

  * Fixup wrong patch refresh for vnc patch
    - LP: #1901310
    - thanks Gordon Lack for the report

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 26 Oct 2020 19:08:44 +0100

virtualbox (6.1.16-dfsg-1) unstable; urgency=medium

  * New upstream version 6.1.16-dfsg
  * Refresh patches:
    - 27-hide-host-cache-warning.patch
    - 36-fix-vnc-version-string.patch
  * Drop upstream patches:
    - changeset_86042.patch
    - new-gsoap.patch
    - virtio-core.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 21 Oct 2020 00:32:31 +0200

virtualbox (6.1.14-dfsg-4) unstable; urgency=medium

  [ Lorenzo Puliti <plorenzo@disroot.org> ]
  * Also take care of unsigned kernel modules when installing the
    virtualbox*source packages (Closes: #970262)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 16 Sep 2020 11:58:39 +0200

virtualbox (6.1.14-dfsg-3) unstable; urgency=medium

  * Don't add VBoxREM symlink (Closes: #969793)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 08 Sep 2020 10:06:18 +0200

virtualbox (6.1.14-dfsg-2) unstable; urgency=medium

  * Ack previous wrong NMU, not sure why it has been uploaded.
  * Rebase previous changelog entries
  * Don't use curl from upstream tarball (will be used from
    the next dfsg repack)
  * Re-enable virtionet (Closes: #969731, #969732)
  * Drop patch disable-cloud, useless
  * Drop liblzf patch: upstream and not needed anymore
    - Add debian/patches/changeset_86042.patch:
      new upstream patch for liblzf link failure

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 07 Sep 2020 18:11:33 +0200

virtualbox (6.1.14-dfsg-1) unstable; urgency=medium

  * Non-maintainer upload.
  * Include the source code in the upload...
  * Support for 5.8 kernel has been added (Closes: #968660)
    and thus remove the following patches : 0001-new-tarball.patch,
    kernel-5.8-1.patch, kernel-5.8-2.patch, kernel-5.8-2.patch and
    kernel-5.8-4.patch
  * Added a new patch (disable-cloud.patch) to disable CLoud (Apparently
    this doesn't work).
  * Build with 'VBOX_WITH_VIRTIO='
  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 05 Sep 2020 21:02:05 +0200
