=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: contrib/misc
 Priority: optional
 Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Virtualbox Team <team+debian-virtualbox@tracker.debian.org>
+XSBC-Original-Maintainer: Maintainer: Debian Virtualbox Team <team+debian-virtualbox@tracker.debian.org>
 Uploaders: Ritesh Raj Sarraf <rrs@debian.org>,
            Gianfranco Costamagna <locutusofborg@debian.org>
 Build-Depends: acpica-tools,
@@ -98,12 +98,12 @@
          iproute2,
          procps,
          virtualbox-dkms (>= ${source:Version}) | virtualbox-source (>= ${source:Version}) | virtualbox-modules,
-         virtualbox-qt (= ${binary:Version}),
-         virtualbox-guest-additions-iso,
          ${misc:Depends},
          ${python3:Depends},
-         ${shlibs:Depends}
-Recommends: ${shlibs:Recommends}
+         ${shlibs:Depends},
+         virtualbox-qt (= ${binary:Version}),
+         virtualbox-guest-additions-iso
+Recommends:  ${shlibs:Recommends}
 Suggests: vde2
 Conflicts: virtualbox-2.0,
            virtualbox-2.1,
