## virtualbox 6.1.18-dfsg

=== debian/changelog ===
virtualbox (6.1.18-dfsg-5) unstable; urgency=medium

  * Drop vboxweb.service too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 08 Apr 2021 20:43:02 +0200

virtualbox (6.1.18-dfsg-4) unstable; urgency=medium

  * Drop vboxweb.service.
    Never worked, needs too much customization (LP: #1894862)
  * Add patches from upstream to fix build with kernel 5.11
    - upstream changeset: 88207 and 88212

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 08 Apr 2021 19:25:43 +0200

virtualbox (6.1.18-dfsg-3) unstable; urgency=medium

  * Support linux 5.11 (LP: #1915900):
    - debian/patches/50-kernel-5.11.patch

 -- Andrea Righi <andrea.righi@canonical.com>  Thu, 25 Feb 2021 15:32:11 +0000

virtualbox (6.1.18-dfsg-2) unstable; urgency=medium

  * debian/patches/kernel-5.10.patch:
    - fix 32bit guest kernel builds

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 21 Jan 2021 12:01:33 +0100

virtualbox (6.1.18-dfsg-1) unstable; urgency=medium

  [ Andrea Righi ]
  * debian/patches/linux-5.10-TASK_SIZE_MAX-replaces-USER_DS.patch:
    - upstream patch to fix build failure of virtualbox-guest-dkms with linux
      5.10 (LP: #1908734)
  * debian/patches/linux-5.10-drm-fixes.patch:
    - upstream patch to fix multiple virtualbox-guest-dkms drm's build
      failures with linux 5.10 (LP: #1908734)

  [ Gianfranco Costamagna ]
  * New upstream version 6.1.18-dfsg
  * Drop kernel 5.10 build fixes, upstream
  * Refresh patches

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 20 Jan 2021 13:52:19 +0100
