=== debian/rules ===
--- 
+++ 
@@ -188,9 +188,6 @@
 	dh_installinit --remaining-packages --no-start
 
 override_dh_systemd_enable:
-ifneq (,$(filter $(sname), $(shell dh_listpackages)))
-	dh_systemd_enable -p$(sname) --name vboxweb --no-enable debian/vboxweb.service
-endif
 	dh_systemd_enable -p$(uname) debian/$(uname).service
 
 override_dh_dkms:
@@ -198,7 +195,7 @@
 
 override_dh_strip:
 ifneq (,$(filter $(sname), $(shell dh_listpackages)))
-	dh_strip --no-automatic-dbgsym
+	dh_strip --dbgsym-migration='$(sname)-dbg'
 
 	# strip files not handled by dh_strip
 ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
